Face auth - capture PID / track status
Endpoint: POST /abha/api/v3/enrollment/enrol/capturePID
Flow: Create ABHA - Face Authentication - step 2 of 9
- Previous: *Face auth - generate transaction ID (init)*
- Next: *Create ABHA - Aadhaar face authentication*
---
This API is designed to verify the status of a transaction ID that was generated during the invocation of the auth/init API. It serves as a follow-up mechanism to ensure that the transaction is still valid, active, and has not expired or been invalidated.
Wait for PID capture and submission confirmation from the ABHA App. The response of the API will return status of that transactionId. It can be either PENDING,VERIFIED,FAILED,COMPLETE.
Once the status in the response of this API is returned as COMPLETE, it indicates that the face authentication process has been successfully completed. At this stage, the next step is to invoke the /enrollment/enrol/byAadhaar (You can find this API in ABHA ENROLLMENT Via Aadhaar section) API to proceed further.
User can poll the The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Unique UUID for every request. Current UTC timestamp in ISO-8601 format. The scopes of the request, which name the flow this call belongs to. The transaction ID returned by the previous call in this flow. The 200 response code indicates a successful request. The reponse of the API will return status of that transactionId. It can be either PENDING,VERIFIED,FAILED,COMPLETE. The 400 response code indicates a bad request. The 401 response code indicates an unauthorized request. In this context, it refers to the lack of proper authentication during the operation of the Invalid Credentials Internal Server Error An Internal Server Error (500) indicates that the server encountered an unexpected condition that prevented it from fulfilling the request./capturePID API in every 5 - 10 seconds interval to check the status of face capture process or alternatively skip this step and call the /enrollment/enrol/byAadhaar API once they see the PID submission success message in the ABHA app.Authorizations
Authorizationbearer tokenRequiredBearer prefix.Headers
REQUEST-IDstringRequiredTIMESTAMPstringRequiredBody
scopestring[]RequiredtxnIdstringRequiredResponses
200statusstringmessagestring400errorobjecterror.codestringerror.messagestring401codestringmessagestringdescriptionstring500